From 67d4f03c25e3a03dad4f8d6b60e4e9283ea2763c Mon Sep 17 00:00:00 2001
From: Cyril Brulebois <ckb@riseup.net>
Date: Fri, 4 Jan 2019 12:23:48 +0100
Subject: [PATCH] Linux kernel: mention aufs

---
 wiki/src/contribute/Linux_kernel.mdwn | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/wiki/src/contribute/Linux_kernel.mdwn b/wiki/src/contribute/Linux_kernel.mdwn
index 6ceda84f4b..dc5ceb94c1 100644
--- a/wiki/src/contribute/Linux_kernel.mdwn
+++ b/wiki/src/contribute/Linux_kernel.mdwn
@@ -85,6 +85,11 @@ To learn how the new kernel works for us:
    run our entire test suite (`+force-all-tests`). But since this
    branch has no commit on top of `devel`, Jenkins will ignore it, so
    you need to create a dummy commit.
+2. Adjust the `aufs` submodule: in the `submodules/aufs4-standalone`
+   directory, use `git fetch` and `git branch -a` to find the most
+   suitable branch for this kernel version, check it out, then move
+   back to the top level directory. `git diff` should show an updated
+   `Subproject commit` accordingly, and that can be committed.
 3. Push this new branch to our CI.
 4. Set the _Feature Branch_ field on the ticket to the name of your
    new branch.
-- 
2.11.0

